#
# spec file for package gjs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gjs
Version:        1.47.91
Release:        0
# FIXME: find out if tapsets should really be in devel package or in main package
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
License:        MIT
Group:          Development/Libraries/GNOME
Url:            http://live.gnome.org/Gjs
Source:         http://download.gnome.org/sources/gjs/1.47/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  mozjs38
BuildRequires:  python
BuildRequires:  readline-devel
BuildRequires:  systemtap-sdt-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.51.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(mozjs-38)
Requires:       libgjs0 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs0
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          System/Libraries
Provides:       libgjs-0 = %{version}
Obsoletes:      libgjs-0 < %{version}

%description -n libgjs0
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n typelib-1_0-GjsPrivate-1_0
Summary:        GJS DBus utility library -- Introspection bindings
# The tyeplib was renamed in gnome 3.6, to reflecht it is a private lib.
Group:          System/Libraries
Obsoletes:      typelib-1_0-GjsDBus-1_0 < %{version}

%description -n typelib-1_0-GjsPrivate-1_0
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs-devel
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       libgjs0 = %{version}
Requires:       typelib-1_0-GjsPrivate-1_0 = %{version}
# Just a helper provides
Provides:       gjs-devel = %{version}

%description -n libgjs-devel
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-systemtap \
    JS_INTERP=%{_bindir}/js
make -j1 V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgjs0 -p /sbin/ldconfig

%postun -n libgjs0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/gjs
%{_bindir}/gjs-console

%files -n libgjs0
%defattr(-,root,root)
%doc COPYING NEWS README
%{_libdir}/*.so.*

%files -n typelib-1_0-GjsPrivate-1_0
%defattr(-,root,root)
%dir %{_libdir}/gjs
%dir %{_libdir}/gjs/girepository-1.0/
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib

%files -n libgjs-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/systemtap/tapset/*.stp

%changelog
